Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  <20152016  2017  2018  2019  2020  Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  <20152016  2017  2018  2019  2020 
<== Date ==> <== Thread ==>

Subject: RE: Unable to build support modules on Windows, with base 3.15.2
From: Mark Rivers <rivers@cars.uchicago.edu>
To: "'Heesterman, Peter J'" <Peter.Heesterman@ccfe.ac.uk>, "EPICS Tech-Talk (tech-talk@aps.anl.gov)" <tech-talk@aps.anl.gov>
Date: Mon, 14 Sep 2015 18:54:22 +0000

Hi Peter,

 

I just tested building base 3.15.2 on windows-x64, and then building the support modules (seq, asyn, autosave, etc.).  It worked fine for me, I did not get the errors you did.

 

What version of perl are you using?

 

I am using ActivePerl 5.14.2.

 

*********************************

C:\EPICS>perl --version

 

This is perl 5, version 14, subversion 2 (v5.14.2) built for MSWin32-x64-multi-thread

(with 1 registered patch, see perl -V for more detail)

 

Copyright 1987-2011, Larry Wall

 

Binary build 1402 [295342] provided by ActiveState http://www.ActiveState.com

Built Oct  7 2011 15:19:36

*********************************

 

Mark

 

 

From: tech-talk-bounces@aps.anl.gov [mailto:tech-talk-bounces@aps.anl.gov] On Behalf Of Heesterman, Peter J
Sent: Monday, September 14, 2015 9:24 AM
To: EPICS Tech-Talk (tech-talk@aps.anl.gov)
Subject: Unable to build support modules on Windows, with base 3.15.2

 

Hi,

 

I just downloaded EPICS base 3.15.2, superseding previous 3.15.1.

 

I am experiencing a problem building any of the support modules, while using the make file build.

(There is no problem building base 3.15.2 itself, however.)

 

I’ve built all the same code successfully on Linux, while using 3.15.2.

 

See attached, these are examples when trying to build Asyn or Seq, but this applies to all modules I’ve looked at, and to different build configurations I’ve attempted.

It all built OK when using 3.15.1.

 

What could I be missing?

 

Thanks,

 

Peter.

 

 

 


Replies:
RE: Unable to build support modules on Windows, with base 3.15.2 Heesterman, Peter J
References:
Unable to build support modules on Windows, with base 3.15.2 Heesterman, Peter J

Navigate by Date:
Prev: Unable to build support modules on Windows, with base 3.15.2 Heesterman, Peter J
Next: Olog client login 吴煊
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  <20152016  2017  2018  2019  2020 
Navigate by Thread:
Prev: Unable to build support modules on Windows, with base 3.15.2 Heesterman, Peter J
Next: RE: Unable to build support modules on Windows, with base 3.15.2 Heesterman, Peter J
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  <20152016  2017  2018  2019  2020 
ANJ, 16 Dec 2015 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· Search · EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·